using Microsoft.EntityFrameworkCore;
using PARR.Domain.Constants;
using System.ComponentModel.DataAnnotations.Schema;

namespace PARR.Domain.Entities.Job
{
    [Table("UnitsInTemplates", Schema = DatabaseSchemas.Job)]
    [Comment("Таблица связи ЭК в шаблонах")]
    public class UnitsInTemplate
    {
        public Guid TemplateId { get; set; }

        public Guid UnitId { get; set; }

        public DateTimeOffset DateCreated { get; set; }

        public Guid UnitFieldValueId { get; set; }

        [ForeignKey(nameof(TemplateId))]
        public Template? Template { get; set; }

        [ForeignKey(nameof(UnitId))]
        public Unit.Unit? Unit { get; set; }

        [ForeignKey(nameof(UnitFieldValueId))]
        public Unit.UnitFieldValue? UnitFieldValue { get; set; }

    }
}
